{
  "schema_version": "1.4.0",
  "id": "GHSA-j2qg-x8p3-53x6",
  "modified": "2022-05-17T01:09:52Z",
  "published": "2022-05-17T01:09:52Z",
  "aliases": [
    "CVE-2016-3135"
  ],
  "details": "Integer overflow in the xt_alloc_table_info function in net/netfilter/x_tables.c in the Linux kernel through 4.5.2 on 32-bit platforms allows local users to gain privileges or cause a denial of service (heap memory corruption) via an IPT_SO_SET_REPLACE setsockopt call.",
  "severity": [
    {
      "type": "CVSS_V3",
      "score": "CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H"
    }
  ],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2016-3135"
    },
    {
      "type": "WEB",
      "url": "https://github.com/torvalds/linux/commit/d157bd761585605b7882935ffb86286919f62ea1"
    },
    {
      "type": "WEB",
      "url": "https://bugzilla.redhat.com/show_bug.cgi?id=1317386"
    },
    {
      "type": "WEB",
      "url": "https://code.google.com/p/google-security-research/issues/detail?id=758"
    },
    {
      "type": "WEB",
      "url": "http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=d157bd761585605b7882935ffb86286919f62ea1"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/84305"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/USN-2930-1"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/USN-2930-2"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/USN-2930-3"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/USN-3054-1"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/USN-3055-1"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/USN-3056-1"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/USN-3057-1"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2016-04-27T17:59:00Z"
  }
}